Package com.io7m.smfj.parser.api

## Class SMFParserEventsDataAttributeValuesIgnoringReceiver

- java.lang.Object
- - com.io7m.smfj.parser.api.SMFParserEventsDataAttributeValuesIgnoringReceiver

- All Implemented Interfaces:
    `SMFParserEventsDataAttributeValuesType`, `SMFParserEventsErrorType`

      public final class SMFParserEventsDataAttributeValuesIgnoringReceiver
      extends java.lang.Object
      implements SMFParserEventsDataAttributeValuesType

  A convenient implementation of the `SMFParserEventsDataAttributeValuesType` interface that delegates warnings and errors but ignores data.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFParserEventsDataAttributeValuesIgnoringReceiver​(SMFParserEventsErrorType in_receiver)` | Construct a receiver.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onDataAttributeValueFinish()` | Parsing of data for the attribute has finished.
    `void` | `onDataAttributeValueFloat1​(double x)` | A data value has been received.
    `void` | `onDataAttributeValueFloat2​(double x, double y)` | A data value has been received.
    `void` | `onDataAttributeValueFloat3​(double x, double y, double z)` | A data value has been received.
    `void` | `onDataAttributeValueFloat4​(double x, double y, double z, double w)` | A data value has been received.
    `void` | `onDataAttributeValueIntegerSigned1​(long x)` | A data value has been received.
    `void` | `onDataAttributeValueIntegerSigned2​(long x, long y)` | A data value has been received.
    `void` | `onDataAttributeValueIntegerSigned3​(long x, long y, long z)` | A data value has been received.
    `void` | `onDataAttributeValueIntegerSigned4​(long x, long y, long z, long w)` | A data value has been received.
    `void` | `onDataAttributeValueIntegerUnsigned1​(long x)` | A data value has been received.
    `void` | `onDataAttributeValueIntegerUnsigned2​(long x, long y)` | A data value has been received.
    `void` | `onDataAttributeValueIntegerUnsigned3​(long x, long y, long z)` | A data value has been received.
    `void` | `onDataAttributeValueIntegerUnsigned4​(long x, long y, long z, long w)` | A data value has been received.
    `void` | `onError​(SMFErrorType e)` | An error has occurred.
    `void` | `onWarning​(SMFWarningType w)` | An error has occurred of a severity low enough that it should just be considered a warning.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFParserEventsDataAttributeValuesIgnoringReceiver

          public SMFParserEventsDataAttributeValuesIgnoringReceiver​(SMFParserEventsErrorType in_receiver)

      Construct a receiver.
      Parameters:
        `in_receiver` - The error/warning receiver

  - ### Method Detail

    - #### onDataAttributeValueIntegerSigned1

          public void onDataAttributeValueIntegerSigned1​(long x)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueIntegerSigned1` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value

    - #### onDataAttributeValueIntegerSigned2

          public void onDataAttributeValueIntegerSigned2​(long x,
                                                         long y)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueIntegerSigned2` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value
        `y` - The y value

    - #### onDataAttributeValueIntegerSigned3

          public void onDataAttributeValueIntegerSigned3​(long x,
                                                         long y,
                                                         long z)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueIntegerSigned3` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value

    - #### onDataAttributeValueIntegerSigned4

          public void onDataAttributeValueIntegerSigned4​(long x,
                                                         long y,
                                                         long z,
                                                         long w)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueIntegerSigned4` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
        `w` - The w value

    - #### onDataAttributeValueIntegerUnsigned1

          public void onDataAttributeValueIntegerUnsigned1​(long x)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueIntegerUnsigned1` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value

    - #### onDataAttributeValueIntegerUnsigned2

          public void onDataAttributeValueIntegerUnsigned2​(long x,
                                                           long y)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueIntegerUnsigned2` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value
        `y` - The y value

    - #### onDataAttributeValueIntegerUnsigned3

          public void onDataAttributeValueIntegerUnsigned3​(long x,
                                                           long y,
                                                           long z)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueIntegerUnsigned3` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value

    - #### onDataAttributeValueIntegerUnsigned4

          public void onDataAttributeValueIntegerUnsigned4​(long x,
                                                           long y,
                                                           long z,
                                                           long w)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueIntegerUnsigned4` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
        `w` - The w value

    - #### onDataAttributeValueFloat1

          public void onDataAttributeValueFloat1​(double x)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueFloat1` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value

    - #### onDataAttributeValueFloat2

          public void onDataAttributeValueFloat2​(double x,
                                                 double y)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueFloat2` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value
        `y` - The y value

    - #### onDataAttributeValueFloat3

          public void onDataAttributeValueFloat3​(double x,
                                                 double y,
                                                 double z)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueFloat3` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value

    - #### onDataAttributeValueFloat4

          public void onDataAttributeValueFloat4​(double x,
                                                 double y,
                                                 double z,
                                                 double w)

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      A data value has been received.
      Specified by:
        `onDataAttributeValueFloat4` in interface `SMFParserEventsDataAttributeValuesType`
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
        `w` - The w value

    - #### onDataAttributeValueFinish

          public void onDataAttributeValueFinish()

      Description copied from interface: `SMFParserEventsDataAttributeValuesType`
      Parsing of data for the attribute has finished.
      Specified by:
        `onDataAttributeValueFinish` in interface `SMFParserEventsDataAttributeValuesType`

    - #### onWarning

          public void onWarning​(SMFWarningType w)

      Description copied from interface: `SMFParserEventsErrorType`
      An error has occurred of a severity low enough that it should just be considered a warning.
      Specified by:
        `onWarning` in interface `SMFParserEventsErrorType`
      Parameters:
        `w` - The warning

    - #### onError

          public void onError​(SMFErrorType e)

      Description copied from interface: `SMFParserEventsErrorType`
      An error has occurred. Parsing will continue but the file as a whole must be considered invalid.
      Specified by:
        `onError` in interface `SMFParserEventsErrorType`
      Parameters:
        `e` - The error